Toad World® Forums

Unable to reverse engineer existing table

Hello,

I’m getting below error message when I tried to reverse engineer existing table. I'm using TDM v7.3

Getting below error message if I pick MySQL 8.0 in the connection:
image

Getting below error message if I pick MySQL 5.5 in the connection:

Please note, on 07/12/2021 our IT team again upgraded MariaDB storage engine from 10.4 to 10.5 on the database that I used to reverse engineer.

I reported this issue on 05/17/2021 as well at that time Mariadb storage engine was upgraded to 10.4, from that day I was able to reverse engineer by unchecking “Users” in “what to reverse” section. However, today I am not able to reverse engineer even if I uncheck users in what to reverse section. Please advise.

Also, please check this related link that I posted in May 2021 (SR Number:4892138):
Unable to reverse engineer existing MySQL table - Toad Data Modeler - Toad World® Forums

It would be great if we have a solution to fix this error.

Thanks in advance.
Regards,
Rajesh